This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 177622 - evolution-alarm-notify uses huge amount of CPU after closing evolution
evolution-alarm-notify uses huge amount of CPU after closing evolution
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-12 09:10 EST by n0dalus
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 13:18:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
First 10k lines of strace (778.33 KB, text/plain)
2006-01-12 09:10 EST, n0dalus
no flags Details

  None (edit)
Description n0dalus 2006-01-12 09:10:45 EST
Description of problem:
After closing Evolution, evolution-alarm-notify remains in the notification
area, and uses 75% of available CPU. If it isn't supposed to remain behind, this
might be related to Bug 170963.

Version-Release number of selected component (if applicable):
evolution-2.5.4-2

How reproducible:
I was unable to reproduce this. Since this seems to be to do with futex()'s and
possibly race conditions, the bug may not occur very often.

Actual results:
evolution-alarm-notify remains in running processes, and continually uses the
majority of available CPU.

Expected results:
evolution-alarm-notify uses very little CPU, or does not remain running if it's
not supposed to.

Additional info:
I'm attaching some strace info so people can see what's happening. Hopefully it
can be worked out from that. The process is now killed, so unless someone else
or I can reproduce it, I can't give any more data than what I have. Sorry if
this report doesn't get anywhere towards finding the problem.

It should also be noted that evolution-alarm-notify was using a large amount of
virtual memory:
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 2843 n0dalus   17   0  175m  12m 9.9m R   74  1.2  25:19.54 evolution-alarm

Here is the strace summary:
% time     seconds  usecs/call     calls    errors syscall
------ ----------- ----------- --------- --------- ----------------
 60.54    1.477373         117     12611       233 futex
 10.73    0.261885          42      6252           writev
  7.95    0.193924          10     18487           poll
  7.15    0.174611           9     18416           gettimeofday
  6.71    0.163800           9     18415           ioctl
  4.57    0.111511           9     12164           read
  2.35    0.057368          10      5908           write
------ ----------- ----------- --------- --------- ----------------
100.00    2.440472                 92253       233 total

It only says 2.4 seconds total, but I certainly counted about 10 seconds before
ending the strace, so I don't know what's going on there (kernel overhead?).

The attached strace is only 10,000 lines out of a total taken of 50,000 in ~10
seconds (so the shortened trace is approx 2 secs). If more of the strace data is
needed, please ask, but I suspect it is mostly the same loop being repeated over
and over.

I probably should have done a gdb backtrace before killing it, but I forgot.
Comment 1 n0dalus 2006-01-12 09:10:46 EST
Created attachment 123113 [details]
First 10k lines of strace
Comment 2 Rahul Sundaram 2006-02-20 05:56:12 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 4 Matthew Barnes 2007-01-02 09:41:59 EST
Is this problem still present in Fedora Core 6 or later?
Comment 5 n0dalus 2007-01-02 23:29:37 EST
Since moving to FC6 I haven't been using evolution -- so I'm not sure if it
happens still.
Comment 6 Matthew Miller 2007-04-06 13:02:11 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 7 Matěj Cepl 2007-08-31 11:22:36 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 8 Matthew Barnes 2007-10-02 13:18:59 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.